Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface EntityCacheCumulativeRuntimeMBean

public interface EntityCacheCumulativeRuntimeMBean
extends EntityCacheRuntimeMBean

This class is used for monitoring an XML Cache.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`double` | `getAvgEntrySizeDiskPurged()` Returns the cumulative average size of entries that have been purged from the disk cache.
`double` | `getAvgEntrySizeMemoryPurged()` Returns the average size of the all the entries that have been purged from the memory.
`double` | `getDiskPurgesPerHour()` Returns cumulative average number of purges from the disk cache per hour.
`double` | `getMemoryPurgesPerHour()` Returns the cumulative average number of entries that have been purged from the entity cache.
`java.util.Date` | `getMostRecentDiskPurge()` Returns the date of the most recent purge from the disk cache.
`java.util.Date` | `getMostRecentMemoryPurge()` Returns the date of the most recent purge of the entity cache.
`double` | `getPercentRejected()` Returns the cumulative percent of the potential entries to the entity cache that have been rejected.
`long` | `getTotalItemsDiskPurged()` Returns the total number of items that have been purged from the disk cache.
`long` | `getTotalItemsMemoryPurged()` Returns the cumulative number of items that have been purged from the entity cache.
`long` | `getTotalNumberDiskPurges()` Returns the total number of entries that have been purged from the disk cache.
`long` | `getTotalNumberMemoryPurges()` Returns the cumulative number of entries that have been purged from the entity cache.
`long` | `getTotalNumberOfRejections()` Returns the cumulative total number of rejections from the entity cache.
`long` | `getTotalNumberOfRenewals()` Returns the cumulative number of entries that have been refreshed in the entity cache.
`long` | `getTotalSizeOfRejections()` Returns the cumulative total size of the rejections from the entity cache.

Methods inherited from interface weblogic.management.runtime.EntityCacheRuntimeMBean
`getAvgPercentPersistent, getAvgPercentTransient, getAvgPerEntryDiskSize, getAvgPerEntryMemorySize, getAvgTimeout, getMaxEntryMemorySize, getMaxEntryTimeout, getMinEntryMemorySize, getMinEntryTimeout, getTotalCurrentEntries, getTotalPersistentCurrentEntries, getTotalTransientCurrentEntries`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getTotalNumberMemoryPurges

    public long getTotalNumberMemoryPurges()

  Returns the cumulative number of entries that have been purged from the entity cache.

  Returns:
    The totalNumberMemoryPurges value

### getTotalItemsMemoryPurged

    public long getTotalItemsMemoryPurged()

  Returns the cumulative number of items that have been purged from the entity cache.

  Returns:
    The totalItemsMemoryPurged value

### getAvgEntrySizeMemoryPurged

    public double getAvgEntrySizeMemoryPurged()

  Returns the average size of the all the entries that have been purged from the memory.

  Returns:
    The avgEntrySizeMemoryPurged value

### getMostRecentMemoryPurge

    public java.util.Date getMostRecentMemoryPurge()

  Returns the date of the most recent purge of the entity cache.

  Returns:
    The mostRecentMemoryPurge value

### getMemoryPurgesPerHour

    public double getMemoryPurgesPerHour()

  Returns the cumulative average number of entries that have been purged from the entity cache.

  Returns:
    The memoryPurgesPerHour value

### getTotalNumberDiskPurges

    public long getTotalNumberDiskPurges()

  Returns the total number of entries that have been purged from the disk cache.

  Returns:
    The totalNumberDiskPurges value

### getTotalItemsDiskPurged

    public long getTotalItemsDiskPurged()

  Returns the total number of items that have been purged from the disk cache.

  Returns:
    The totalItemsDiskPurged value

### getAvgEntrySizeDiskPurged

    public double getAvgEntrySizeDiskPurged()

  Returns the cumulative average size of entries that have been purged from the disk cache.

  Returns:
    The avgEntrySizeDiskPurged value

### getMostRecentDiskPurge

    public java.util.Date getMostRecentDiskPurge()

  Returns the date of the most recent purge from the disk cache.

  Returns:
    The mostRecentDiskPurge value

### getDiskPurgesPerHour

    public double getDiskPurgesPerHour()

  Returns cumulative average number of purges from the disk cache per hour.

  Returns:
    The diskPurgesPerHour value

### getTotalNumberOfRejections

    public long getTotalNumberOfRejections()

  Returns the cumulative total number of rejections from the entity cache.

  Returns:
    The totalNumberOfRejections value

### getTotalSizeOfRejections

    public long getTotalSizeOfRejections()

  Returns the cumulative total size of the rejections from the entity cache.

  Returns:
    The totalSizeOfRejections value

### getPercentRejected

    public double getPercentRejected()

  Returns the cumulative percent of the potential entries to the entity cache that have been rejected.

  Returns:
    The percentRejected value

### getTotalNumberOfRenewals

    public long getTotalNumberOfRenewals()

  Returns the cumulative number of entries that have been refreshed in the entity cache.

  Returns:
    The totalNumberOfRenewals value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD